package com.bonus.material.push.service;

import com.bonus.material.push.domain.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author：liang.chao
 * @Date：2025/8/23 - 14:29
 */
public interface ProDataUseInfoService {
    List<ProIdsBean> getProDataUseInfo(ProIdsBean bean);

    List<MachineInfoBean> getMachineDetails(ProIdsBean bean);

    /**
     * 查询七大类设备保有量、在用量、再修量、库存量
     *
     * @param bean
     * @return
     */
    List<TotalNumsBean> getNumsByStatics(ProIdsBean bean);

    List<StaticsNumsBean> getApproachingAndTimeout(ProIdsBean bean);

    List<MachineInfoBean> getApproachingDetails(ProIdsBean bean);

    List<MachineInfoBean> getCompletionNotRefunded(ProIdsBean bean);

    List<MachineInfoBean> getCompletionNotRefundedDetails(ProIdsBean bean);

    List<InventoryAlertBean> getInventoryAlert(ProIdsBean bean);

    List<InventoryAlertBean> getInventoryAlertName(ProIdsBean bean);

    List<Map<String, Object>> getApproachingDetailsByUnit();

    List<MachineInfoBean> getMaTypeList(ProIdsBean bean);

    List<MachineInfoBean> getUseNumsDetails(ProIdsBean bean);
    List<MachineInfoBean> getRepairNumsDetails(ProIdsBean bean);
    List<MachineInfoBean> getNumsDetails(ProIdsBean bean);

    List<MachineInfoBean> getAllMacheDetails(ProIdsBean bean);

    List<MachineInfoBean> getCompletionNotRefundedSub(ProIdsBean bean);

    List<MachineInfoBean> getCompletionNotRefundedDetailsSub(ProIdsBean bean);
}
